#!/usr/bin/env bash
# ##########################################################################
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
#             ###################################################
#           ======  D E M O N S T R A T I O N   S Y S T E M  ======
#             ###################################################
#
# ############# An Efficient RSerPool Prototype Implementation #############
#
# RSPLIB System-Info system-info.d Script
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

# Bash options:
set -eu

# Helper function library -> just return when it is not available.
# Exit code 0 will let System-Info continue with the next script!
# shellcheck disable=SC1091
. "$(dirname "$0")/banner-helper" || exit 0


# ====== Print banner =======================================================

RSERPOOLDEMO_VERSION=""
if [ -e /etc/simulamet/rserpooldemo-version ] ; then
   RSERPOOLDEMO_VERSION="$(cat /etc/simulamet/rserpooldemo-version)"
fi

echo -en "\x1b[1;34m"
separator "  " "═" "  "
echo -en "\x1b[1;31m"
center " ____  ____  ____  _     ___ ____  "
center "|  _ \/ ___||  _ \| |   |_ _| __ ) "
center "| |_) \___ \| |_) | |    | ||  _ \ "
center "|  _ < ___) |  __/| |___ | || |_) |"
center "|_| \_\____/|_|   |_____|___|____/ "
echo
center "◀◀◀ RSPLIB Project at the University of Duisburg-Essen ▶▶▶"
echo -en "\x1b[1;34m"
if [ "${RSERPOOLDEMO_VERSION}" != "" ] ; then
   echo
   center "${RSERPOOLDEMO_VERSION}"
fi
separator "  " "═" "  "
echo -e "\x1b[0m"


exit 1   # With exit code 1, no further files in /etc/system-info.d are processed!

# Use exit code 0 to process further files!
